<?php 
require_once "../modelos/Notacredito.php";
if (strlen(session_id())<1) 
	session_start();

$notacredito        = new Notacredito();

$idnotacredito		=isset($_POST["idnotacredito"])? limpiarCadena($_POST["idnotacredito"]):"";
$idcliente			=isset($_POST["idcliente"])? limpiarCadena($_POST["idcliente"]):"";
$idusuario			=$_SESSION["idusuario"];
$tipo_comprobante	=isset($_POST["tipo_comprobante"])? limpiarCadena($_POST["tipo_comprobante"]):"";
$serie_comprobante	=isset($_POST["serie_comprobante"])? limpiarCadena($_POST["serie_comprobante"]):"";
$num_comprobante	=isset($_POST["num_comprobante"])? limpiarCadena($_POST["num_comprobante"]):"";
$fecha_hora			=isset($_POST["fecha_hora"])? limpiarCadena($_POST["fecha_hora"]):"";
$impuesto			=isset($_POST["impuesto"])? limpiarCadena($_POST["impuesto"]):"";
$total_venta		=isset($_POST["total_venta"])? limpiarCadena($_POST["total_venta"]):"";
$iddetallec			=isset($_POST["iddetallec"])? limpiarCadena($_POST["iddetallec"]):"";
$idpedidoc			=isset($_POST["idpedidoc"])? limpiarCadena($_POST["idpedidoc"]):"";
$idarticuloc		=isset($_POST["idarticuloc"])? limpiarCadena($_POST["idarticuloc"]):"";
$idmetodopago1		=isset($_POST["idmetodopago11"])? limpiarCadena($_POST["idmetodopago11"]):"";
$idmetodopago2		=isset($_POST["idmetodopago21"])? limpiarCadena($_POST["idmetodopago21"]):"";
$idmetodopago3		=isset($_POST["idmetodopago31"])? limpiarCadena($_POST["idmetodopago31"]):"";
$idmetodopago4		=isset($_POST["idmetodopago41"])? limpiarCadena($_POST["idmetodopago41"]):"";
$idmetodopago5		=isset($_POST["idmetodopago51"])? limpiarCadena($_POST["idmetodopago51"]):"";
$idmetodopago6		=isset($_POST["idmetodopago61"])? limpiarCadena($_POST["idmetodopago61"]):"";
$montotc			=isset($_POST["montotc1"])? limpiarCadena($_POST["montotc1"]):"";
$montotd			=isset($_POST["montotd1"])? limpiarCadena($_POST["montotd1"]):"";
$montoeb			=isset($_POST["montoeb1"])? limpiarCadena($_POST["montoeb1"]):"";
$montoed			=isset($_POST["montoed1"])? limpiarCadena($_POST["montoed1"]):"";
$montoee			=isset($_POST["montoee1"])? limpiarCadena($_POST["montoee1"]):"";
$montotz			=isset($_POST["montotz1"])? limpiarCadena($_POST["montotz1"]):"";

switch ($_GET["op"]) {
	case 'guardaryeditar':
		if (empty($idnotacredito)) {
			$rspta=$notacredito->insertar($idcliente,$idusuario,$tipo_comprobante,$serie_comprobante,$num_comprobante,
			$fecha_hora,$impuesto,$total_venta,$_POST["idarticulo"],$_POST["cantidad"],$_POST["precio_venta"],
			$_POST["descuento"],$_POST["nrolote"],$_POST["idpedidosolo"],$_POST["idalmacen"],$idmetodopago1,$idmetodopago2,
			$idmetodopago3,$idmetodopago4,$idmetodopago5,$idmetodopago6,$montotc,$montotd,$montoeb,$montoed,$montoee,$montotz); 
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
		}else{
			
		}
	break;
	

	case 'anular':
		$rspta=$notacredito->anular($idnotacredito);
		echo $rspta ? "Ingreso anulado correctamente" : "No se pudo anular el ingreso";
	break;

	case 'eliminararticulodecafeteriabd':
		$rspta=$notacredito->eliminararticulodecafeteriabd($iddetallec,$idpedidoc,$idarticuloc);
		echo $rspta ? "1" : "0";
	break;
	
	case 'mostrar':
		$rspta=$notacredito->mostrar($idnotacredito);
		echo json_encode($rspta);
	break;

	case 'listarDetalle':
		//recibimos el idnotacredito
		$id=$_GET['id'];

		$rspta=$notacredito->listarDetalle($id);
		$total=0;
		echo ' <thead style="background-color:#A9D0F5">
        <th>Opciones</th>
        <th>Articulo</th>
        <th>Cantidad</th>
        <th>Precio Venta</th>
        <th>Descuento</th>
        <th>Subtotal</th>
       </thead>';
		while ($reg=$rspta->fetch_object()) {
			echo '<tr class="filas">
			<td></td>
			<td>'.$reg->nombre.'</td>
			<td>'.$reg->cantidad.'</td>
			<td>'.$reg->precio_venta.'</td>
			<td>'.$reg->descuento.'</td>
			<td>'.number_format($reg->subtotal,2,',','.').'</td></tr>';
			$total=$total+($reg->precio_venta*$reg->cantidad-$reg->descuento);
		}
		echo '<tfoot>
         <th>TOTAL</th>
         <th></th>
         <th></th>
         <th></th>
         <th></th>
         <th><h4 id="total"> '.number_format($total,2,',','.').' Bs.</h4><input type="hidden" name="total_venta" id="total_venta"></th>
       </tfoot>';
	break;

	case 'listarDetalleDevolucion':
		//recibimos el idnotacredito
		$id		=$_GET['id'];

		$rspta	=$notacredito->listarDetalle($id);
		$total	=0;
		$cand	=0;
		$cont	=0;
		echo ' <thead style="background-color:#A9D0F5">
        <th>Seleccion</th>
        <th>Articulo</th>
        <th>Precio</th>
		<th>Descuento</th>
		<th>Cant-Fact</th>
		<th>Cant-Dev</th>
        <th>Subtotal</th>
       </thead>';
		while ($reg=$rspta->fetch_object()) {
			echo '<tr class="filas">
			<td><input type="checkbox" name="idarticulo[]" id="idarticulo[]" onchange="change_checkbox('.$cont.','.this.')" value="'.$cont.'"></td>
			<td>'.$reg->nombre.'</td>
			<td><input type="text" name="precio_venta[]" id="precio_venta[]" style="text-align:right;width:120px" value="'.number_format($reg->precio_venta,2).'" readonly></td>
			<td><input type="text" name="descuento[]" style="text-align:right;width:120px" value="'.number_format($reg->descuento,2).'" readonly ></td>
			<td><input type="text" name="cantidad[]" id="cantidadf[]" style="text-align:right;width:80px" value="'.number_format($reg->cantidad).'" readonly></td>
			<td><input type="text" name="cantidad[]" id="cantidadd[]" style="text-align:right;width:80px" value="'.number_format($cand).'"></td>
			<td>
				<input type="text" style="text-align:right;width:120px" name="subtotal[]" id="subtotal[]"  value="'.number_format($reg->subtotal,2).'" readonly>
				<input type="hidden" name="idarticulo[]" id="idarticulo[]" value="'.$reg->idarticulo.'">
				<input type="hidden" name="idalmacen[]" id="idalmacen[]" value="'.$reg->idalmacen.'">
				<input type="hidden" name="nrolote[]" id="nrolote[]" value="'.$reg->numerolote.'">
			</td></tr>';
			$total=$total+($reg->precio_venta*$reg->cantidad-$reg->descuento);
			$cont+=1;
		}
		echo '<tfoot>
         <th>TOTAL</th>
         <th></th>
         <th></th>
         <th></th>
		 <th></th>
		 <th></th>
         <th><h4 id="total"> '.number_format($total,2,',','.').' Bs.</h4><input type="hidden" name="total_venta" id="total_venta"></th>
       </tfoot>';
	break;

    case 'listar':
		$rspta=$notacredito->listar();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
                 if ($reg->tipo_comprobante=='Ticket') {
                 	$url='reportes/exTicket.php?id=';
                 }else{
				   // $url='reportes/exFactura.php?id=';
				   $url='reportes/exTicket.php?id=';
                 }

			$data[]=array(
            "0"=>(($reg->estado!='Anulado')?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idnotacredito.')"><i class="fa fa-eye"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="anular('.$reg->idnotacredito.')"><i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idnotacredito.')"><i class="fa fa-eye"></i></button>').
            '<a target="_blank" href="'.$url.$reg->idnotacredito.'"> <button class="btn btn-info btn-xs"><i class="fa fa-file"></i></button></a>',
            "1"=>$reg->fecha,
            "2"=>$reg->cliente,
            "3"=>$reg->usuario,
            "4"=>$reg->tipo_comprobante,
            "5"=>$reg->serie_comprobante. '-' .$reg->num_comprobante,
            "6"=>number_format($reg->total_venta,2,',','.'),
            "7"=>($reg->estado!='Anulado')?'<span class="badge bg-green">Aceptado</span>':'<span class="badge bg-red">Anulado</span>'
              );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'selectCliente':
		require_once "../modelos/Persona.php";
		$persona = new Persona();

		$rspta = $persona->listarc();

		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idpersona.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'listarArticulos':
		require_once "../modelos/Articulo.php";
		$articulo	=new Articulo();
		$rspta		=$articulo->listarActivosVenta();
		$dataA		=Array();
		$porcentaje	=0;
		$iva		=	($_SESSION['iva_empresa']/100)+1;
		$tasa		=	($_SESSION['tasa_dollar_empresa']);
		$precio		= 	0;
		while ($reg=$rspta->fetch_object()) {
			$precio	= $reg->precio_venta*$iva;
			if ($reg->exento=='si'){
				$precio = $reg->precio_venta;
			}
			$dataA[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idarticulo.','.$reg->idalmacen.',\''.$reg->nombre.'\','.$reg->precio_venta.','.$reg->preciod.','.$reg->preciodsiniva.','.$porcentaje.',\''.$reg->numerolote.'\',\''.$reg->fecha.'\',\''.$reg->exento.'\')"><span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>$reg->codigo,
						"4"=>number_format($reg->stock,0,',','.'),
						"5"=>number_format($precio,2,',','.'),
						"6"=>number_format($reg->preciod,1,',','.'),
						"7"=>$reg->fecha,
						"8"=>"<img src='files/articulos/".$reg->imagen."' height='50px' width='50px'>"
							);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($dataA),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($dataA),//enviamos el total de registros a visualizar
						"aaData"=>$dataA); 
		echo json_encode($results);

	break;

	case 'listarServicios':
		require_once "../modelos/Servicios.php";
		$servicio=new Servicios();
		$rspta=$servicio->listarActivosServiciosVenta();
		//echo "<script> alert('estoy en listarServicios Controlador') </script>";
		//a.idservicio,a.idcategoria,c.nombre as categoria, a.nombre,a.precio,a.porcentaje,a.descripcion,a.condicion
		$tipos='S';
		$data=Array();
		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<button class="btn btn-warning" 
						onclick="agregarDetalle('.$reg->idservicio.',\''.$reg->nombre.'\','.$reg->precio.','.$reg->porcentaje.',\''.$tipos.'\',\''.$reg->exento.'\')">
						<span class="fa fa-plus"></span></button>',
						"1"=>$reg->nombre,
						"2"=>$reg->categoria,
						"3"=>number_format($reg->precio,2,',','.'),
						"4"=>$reg->porcentaje
						);
		}
		$results=array(
						"sEcho"=>1,//info para datatables
						"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
						"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
						"aaData"=>$data); 
		echo json_encode($results);

	break;
}
 ?>